To: linux-m68k@lists.linux-m68k.org
Subject: L68K: 2.1.72 patch, part 2
X-Yow: Don't hit me!!  I'm in the Twilight Zone!!!
From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: 22 Dec 1997 10:26:52 +0100
Sender: owner-linux-m68k@phil.uni-sb.de

Hi!

Here is the promised second part of my path for 2.1.72.

Andreas.

----------------------------------------------------------------------
--- arch/m68k/atari/config.c.~2~	Fri Dec 19 18:17:11 1997
+++ arch/m68k/atari/config.c	Sat Dec 20 01:02:15 1997
@@ -1293,7 +1293,7 @@
     }
     else if (!strcmp( m68k_debug_device, "midi" )) {
 	/* MIDI port */
-	atari_init_scc_port( B9600|CS8 );
+	atari_init_midi_port( B9600|CS8 );
 	atari_console_driver.write = atari_midi_console_write;
     }
     else if (!strcmp( m68k_debug_device, "par" )) {
--- arch/m68k/config.in.~2~	Fri Dec 19 18:26:47 1997
+++ arch/m68k/config.in	Sun Dec 21 18:02:48 1997
@@ -245,10 +245,10 @@
 fi
 if [ "$CONFIG_ATARI" = "y" ]; then
   tristate 'Atari Lance support' CONFIG_ATARILANCE
-if [ "$CONFIG_ATARI_ACSI" != "n" ]; then
-  tristate 'BioNet-100 support' CONFIG_ATARI_BIONET
-  tristate 'PAMsNet support' CONFIG_ATARI_PAMSNET
-fi
+  if [ "$CONFIG_ATARI_ACSI" != "n" ]; then
+    tristate 'BioNet-100 support' CONFIG_ATARI_BIONET
+    tristate 'PAMsNet support' CONFIG_ATARI_PAMSNET
+  fi
 fi
 if [ "$CONFIG_MVME16x" = "y" ]; then
   bool 'MVME16x Ethernet support' CONFIG_I596
--- drivers/block/ataflop.c.~2~	Fri Dec 19 18:25:54 1997
+++ drivers/block/ataflop.c	Fri Dec 19 18:25:59 1997
@@ -486,8 +486,8 @@
 	cli(); /* protect against various other ints mucking around with the PSG */
 	atari_dont_touch_floppy_select = 0;
 	sound_ym.rd_data_reg_sel=14;	/* Select PSG Port A */
-	sound_ym.wd_data = sound_ym.rd_data_reg_sel |
-					   MACH_IS_FALCON ? 3 : 7; /* no drives selected */
+	sound_ym.wd_data = (sound_ym.rd_data_reg_sel |
+			    (MACH_IS_FALCON ? 3 : 7)); /* no drives selected */
 	/* On Falcon, the drive B select line is used on the printer port, so
 	 * leave it alone... */
 	SelectedDrive = -1;
--- drivers/video/atafb.c.~2~	Wed Dec 17 21:34:39 1997
+++ drivers/video/atafb.c	Fri Dec 19 19:19:03 1997
@@ -2898,9 +2898,9 @@
 
 	if (ovsc_offset || (sttt_yres_virtual != st_yres))
 		use_hwscroll=0;
-    }
-    else 
       int_invalid:
+	;
+    }
 
 #ifdef ATAFB_EXT
     if (*ext_str) {
--- fs/proc/root.c.~1~	Wed Dec 17 19:56:44 1997
+++ fs/proc/root.c	Sun Dec 21 18:15:10 1997
@@ -651,7 +651,7 @@
 #if defined (CONFIG_AMIGA) || defined (CONFIG_ATARI)
 	proc_register(&proc_root, &proc_root_hardware);
 #endif
-#ifdef CONFIG_STRAM_SWAP
+#ifdef CONFIG_STRAM_PROC
 	proc_register(&proc_root, &proc_root_stram);
 #endif
 	proc_register(&proc_root, &proc_root_slab);
